UnigineEditor
Interface Overview
Assets Workflow
Settings and Preferences
Adjusting Node Parameters
Setting Up Materials
Setting Up Properties
Landscape Tool
Using Editor Tools for Specific Tasks
FAQ
Programming
Fundamentals
Setting Up Development Environment
Usage Examples
UnigineScript
C++
C#
UUSL (Unified UNIGINE Shader Language)
File Formats
Rebuilding the Engine and Tools
GUI
Double Precision Coordinates
API
Containers
Common Functionality
Controls-Related Classes
Engine-Related Classes
Filesystem Functionality
GUI-Related Classes
Math Functionality
Node-Related Classes
Objects-Related Classes
Networking Functionality
Pathfinding-Related Classes
Physics-Related Classes
Plugins-Related Classes
CIGI Client Plugin
Rendering-Related Classes

System Requirements

Operating Systems#

Notice
A 64-bit Operating System is required to develop applications using UNIGINE 2 SDK.
  • Windows (7 SP1/8/10) x86 / x64
  • Linux (kernel 3.0+) x86 / x64

CPU#

UNIGINE can work on x86 processors with SSE4 support, i.e. starting with Intel Core 2 Duo or AMD Bulldozer and higher. The engine fully and efficiently utilizes the multi-core CPU architecture.

For optimal experience it is recommended to use Intel i5/i7 or AMD Ryzen 5/7 series processors with 3 GHz+ frequency.

RAM#

Minimal RAM size is 4 GB. Actual RAM requirements of a UNIGINE-based application depend on the application itself.

Recommended RAM size is 16+ GB.

Storage#

Actual disk space requirements depends primarily on application content.

To use UNIGINE SDK during development time, it is recommended to have at least 250 GB free space.

Notice
It is recommended to use an SSD storage device for best performance.

GPU#

  • Windows: all graphic cards with support for DirectX 11 or OpenGL 4.5+
  • Linux: all graphic cards with support for OpenGL 4.5+
Notice
Even if UNIGINE cannot recognize a graphics card, it still can detect the card's capabilities and use available features.
Notice
For optimal experience it is strongly recommended to use up-to-date proprietary video drivers.

NVIDIA#

Supported NVIDIA GPUs:

  • GeForce 600 series: GTX 690, GTX 680, GTX 670, GTX 660 Ti, GTX 660, GTX 650 Ti BOOST, GTX 650 Ti, GTX 650
  • GeForce 700 series: GTX TITAN Z, GTX TITAN Black, GTX TITAN, GTX 780 Ti, GTX 780, GTX 770, GTX 760, GTX 760 Ti (OEM), GTX 750 Ti, GTX 750, GTX 745, GT 740
  • GeForce 900 series: GTX 960, GTX 970, GTX 980, GTX 980 Ti, GTX Titan X
  • GeForce 1000 series: GTX 1080 Ti, GTX 1080, GTX 1070 Ti, GTX 1070, GTX 1060
  • GeForce 1600 series: GTX 1660 Ti, GTX 1660, GTX 1650
  • GeForce 2000 series: TITAN RTX, RTX 2080 Ti, RTX 2080, RTX 2070, RTX 2060
  • Quadro series: GP100, P6000, P5000, P4000, P2000, NVS 810, M6000, M5000, M4000, K6000, K5200, K5000
  • Quadro RTX series: RTX 8000, RTX 6000, RTX 5000, RTX 4000
  • Tesla series: V100, P100, P40, M60, M40
  • Volta series: GTX TITAN V, TITAN V - CEO Edition, Quadro GV100

NVIDIA SLI technology is supported.

It is recommended to check if your NVIDIA GPU is in the list of legacy products.

AMD#

Supported AMD GPUs:

  • Radeon HD 7xxx series: 7970, 7970 GHz Edition, 7990
  • Radeon HD 8xxx series: 8350, 8450, 8470, 8490, 8570, 8670, 8730, 8760, 8770, 8870, 8950, 8970, 8990
  • Radeon R5/7/9 200 series: R5 210, R5 220, R5 230, R5 235, R5 235X, R5 240, R7 240, R7 250, R7 250X, R7 260, R7 260X, R7 250E, R7 265 R9 270, R9 270X, R9 280, R9 280X, R9 285, R9 290, R9 290X, R9 295X2
  • Radeon R5/7/9 M200 series: R5 M230, R5 M255, R7 M260, R7 M260X, R7 M265, R9 M265X, R9 M270X, R9 M275X, R9 M280X, R9 M290X, R9 M295X
  • Radeon R5/7/9 300 series: R5 330, R5 340, R7 340, R7 350, R7 360, R9 370, R9 370X, R9 380, R9 380X, R9 390, R9 390X, R9 Fury, R9 Fury X, R9 Nano, Pro Duo
  • Radeon R5/7/9 M300 series: R5 M330, R5 340, R5 M335, R7 M360, R9 M365X, R9 M370X, R9 M375, R9 M375X, R9 M380, R9 M385, R9 M385X, R9 M390, R9 M390X, R9 M395, R9 M395X
  • Radeon RX 400 series: RX 460, RX 470, RX 480
  • Radeon RX M400 series: R5 M420, R5 M430, R7 M435, R5 M440, R7 M445, R7 M460, R7 M465, R7 M465X, R9 M470, R9 M470X, R9 M485X
  • Radeon RX 500 series: RX 520, RX 530, RX 540, RX 550, RX 560, RX 560D, RX 570, RX 580, RX 590
  • Radeon RX Vega series: RX Vega 64, RX Vega 56
  • Radeon Vega mobile series: Pro Vega 20, Pro Vega 16
  • Radeon VII
  • Radeon Pro series: WX 2100, WX 3100, WX 4100, WX 5100, WX 7100, WX 8200, WX 9100, SSG, Duo, V340, V340 MxGPU
  • Radeon Pro 500 series: 555, 560, 570, 575, 580
  • Radeon Pro Vega series: Pro Vega 64, Pro Vega 56
  • Radeon Vega Frontier Edition

AMD CrossFire technology is supported.

It is recommended to check if your AMD GPU is in the list of legacy products.

Intel#

Supported Intel GPUs:

  • Ninth generation: HD 520, HD 530, HD P530, Iris 540, Iris 550, Iris Pro P555, Iris Pro 580, Iris Pro P580, UHD 600, UHD 605, HD 610, HD 615, HD 620, UHD 610, UHD 620, UHD 630, HD 630, HD P630, Iris Plus 640, Iris Plus 650, Iris Plus 655

It is recommended to check if your Intel GPU is in the list of legacy products.

Video RAM#

Minimal VRAM size is 2 GB. Actual VRAM requirements of a UNIGINE-based application depend on the application itself.

Recommended VRAM size is 4+ GB.

Output Devices#

  • Standard monitor
  • Oculus Rift DK2 / CV1
  • HTC Vive / Vive Pro
  • SteamVR-compatible HMDs (Windows Mixed Reality and others)
  • Stereo system (NVIDIA 3D Vision, anaglyph, side-by-side, interlaced, separate images)
  • Multi-monitor systems (monitor walls, CAVEs, NVIDIA Surround, AMD Eyefinity, etc.)
  • Multi-channel (network cluster)

Input Devices#

  • PC keyboard
  • PC mouse
  • PC joystick
  • PC wheel controller
  • Xbox 360 controller
  • Multi-touch screen

Sound Cards#

All sound devices supported by OpenAL library (virtually any standard sound device).

Last update: 2019-05-16